<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" version="4.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:template match="/">
	<!-- Racine du document -->
		<CrossIndustryInvoice
			xmlns:clm6ConditionTypeCode1 = "urn:un:unece:uncefact:codelist:common:1:draft:6:ConditionTypeCode"
			xmlns:clm6ConstraintTypeCode1 = "urn:un:unece:uncefact:codelist:common:1:draft:6:ConstraintTypeCode"
			xmlns:clm5316612A2006 = "urn:un:unece:uncefact:codelist:common:2006:draft:5:316612A"
			xmlns:clmIANACharacterSetCode20070514 = "urn:un:unece:uncefact:codelist:common:20070514:draft:IANA:CharacterSetCode"
			xmlns:clmIANAMIMEMediaType20090304 = "urn:un:unece:uncefact:codelist:common:20090304:draft:IANA:MIMEMediaType"
			xmlns:clm542173A20090305 = "urn:un:unece:uncefact:codelist:common:20090305:draft:5:42173A"
			xmlns:clm6Recommendation205 = "urn:un:unece:uncefact:codelist:common:5:draft:6:Recommendation20"
			xmlns:clm63055D09B = "urn:un:unece:uncefact:codelist:common:D09B:draft:6:3055"
			xmlns:xbt = "urn:un:unece:uncefact:data:common:1:draft"
			xmlns:aec = "urn:un:unece:uncefact:data:construction:1:draft"
			xmlns:ci = "urn:un:unece:uncefact:data:crossindustry:1:draft"
			xmlns = "urn:un:unece:uncefact:data:crossindustryinvoicing:1:draft"
			xsi:schemaLocation = "urn:un:unece:uncefact:data:crossindustryinvoicing:1:draft CrossIndustryInvoice_1p0.xsd"
			xmlns:xsi = "http://www.w3.org/2001/XMLSchema-instance">

			<xsl:apply-templates select="/invoice/CrossIndustryInvoice/CIIHExchangedDocumentContext"/>
			<xsl:apply-templates select="/invoice/CrossIndustryInvoice/CIIHExchangedDocument"/>
			<xsl:apply-templates select="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction"/>
			
		</CrossIndustryInvoice>
			
	</xsl:template>

	<xsl:template match="/invoice/CrossIndustryInvoice/CIIHExchangedDocumentContext">
			<DocumentContext>
				<SpecifiedTransactionID><xsl:value-of select="/invoice/CrossIndustryInvoice/CIIHExchangedDocumentContext/SpecifiedTransactionID"/></SpecifiedTransactionID>
			</DocumentContext>
	</xsl:template>
	
	<xsl:template match="/invoice/CrossIndustryInvoice/CIIHExchangedDocument">
			<Document>
				<ID><xsl:value-of select="/invoice/CrossIndustryInvoice/CIIHExchangedDocument/ID"/></ID>
				<TypeCode><xsl:value-of select="/invoice/CrossIndustryInvoice/CIIHExchangedDocument/TypeCode"/></TypeCode>
				<IssueDateTime><xsl:value-of select="/invoice/CrossIndustryInvoice/CIIHExchangedDocument/IssueDateTime"/></IssueDateTime>
			</Document>
	</xsl:template>
	
	<xsl:template match="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction">
			<TradeTransaction>
				<xsl:apply-templates select="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeAgreement"/>
				<xsl:apply-templates select="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeDelivery"/>
				<xsl:apply-templates select="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeSettlement"/>
				<xsl:apply-templates select="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/IncludedCIILSupplyChainTradeLineItem"/>
			</TradeTransaction>
	</xsl:template>
	
	<xsl:template match="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeAgreement">
			<ApplicableTradeAgreement>
				<xsl:apply-templates select="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeAgreement/SellerCITradeParty"/>
				<xsl:apply-templates select="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeAgreement/BuyerCITradeParty"/>
				<xsl:apply-templates select="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeAgreement/BuyerOrderReferencedCIReferencedDocument"/>
			</ApplicableTradeAgreement>
	</xsl:template>
	
	<xsl:template match="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeDelivery">
			<ApplicableTradeDelivery>
				<xsl:apply-templates select="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeDelivery/ShipToCITradeParty"/>
				<xsl:apply-templates select="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeDelivery/ActualDeliveryCISupplyChainEvent"/>
			</ApplicableTradeDelivery>
	</xsl:template>
	
	<xsl:template match="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeSettlement">
			<ApplicableTradeSettlement>
				<DuePayableAmount><xsl:value-of select="./DuePayableAmount"/></DuePayableAmount>
				<PaymentReference><xsl:value-of select="./PaymentReference"/></PaymentReference>
				<InvoiceCurrencyCode><xsl:value-of select="./InvoiceCurrencyCode"/></InvoiceCurrencyCode>
				<xsl:apply-templates select="SpecifiedCITradeSettlementPaymentMeans"/>
				<xsl:apply-templates select="ApplicableCITradeTax"/>
				<xsl:apply-templates select="BillingCISpecifiedPeriod"/>
				<xsl:apply-templates select="SpecifiedCITradeAllowanceCharge"/>
				<xsl:apply-templates select="SpecifiedCITradePaymentTerms"/>
				<xsl:apply-templates select="SpecifiedCIIHTradeSettlementMonetarySummation"/>
				<xsl:apply-templates select="ReceivableSpecifiedCITradeAccountingAccount"/>
			</ApplicableTradeSettlement>
	</xsl:template>
	
	<xsl:template match="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/IncludedCIILSupplyChainTradeLineItem">
			<IncludedTradeLineItem>
				<xsl:apply-templates select="AssociatedCIILDocumentLineDocument"/>
				<xsl:apply-templates select="SpecifiedCIILSupplyChainTradeAgreement"/>
				<xsl:apply-templates select="SpecifiedCIILSupplyChainTradeDelivery"/>
				<xsl:apply-templates select="SpecifiedCIILSupplyChainTradeSettlement"/>
				<xsl:apply-templates select="SpecifiedCITradeProduct"/>
			</IncludedTradeLineItem>
	</xsl:template>
	
	<xsl:template match="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeAgreement/SellerCITradeParty">
			<SellerParty>
				<xsl:call-template name="CITradePartyType"/>
			</SellerParty>
	</xsl:template>
	
	<xsl:template match="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeAgreement/BuyerCITradeParty">
			<BuyerParty>
				<xsl:call-template name="CITradePartyType"/>
			</BuyerParty>
	</xsl:template>
	
	<xsl:template match="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeAgreement/BuyerOrderReferencedCIReferencedDocument">
			<BuyerOrderReferencedReferencedDocument>
				<IssuerAssignedID><xsl:value-of select="./IssuerAssignedID"/></IssuerAssignedID>
			</BuyerOrderReferencedReferencedDocument>
	</xsl:template>
	
	<xsl:template match="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeDelivery/ShipToCITradeParty">
			<ShipToParty>
				<xsl:call-template name="CITradePartyType"/>
			</ShipToParty>
	</xsl:template>
	
	<xsl:template match="/invoice/CrossIndustryInvoice/CIIHSupplyChainTradeTransaction/ApplicableCIIHSupplyChainTradeDelivery/ActualDeliveryCISupplyChainEvent">
			<ActualDeliveryEvent>
				<OccurrenceDateTime><xsl:value-of select="./OccurrenceDateTime"/></OccurrenceDateTime>
			</ActualDeliveryEvent>
	</xsl:template>
	
	<xsl:template name="CITradePartyType">
			<ID><xsl:value-of select="./ID"/></ID>
			<Name><xsl:value-of select="./Name"/></Name>
			<xsl:apply-templates select="DefinedCITradeContact"/>
			<xsl:apply-templates select="PostalCITradeAddress"/>
	</xsl:template>
	
	<xsl:template match="DefinedCITradeContact">
			<DefinedContact>
				<ID><xsl:value-of select="./ID"/></ID>
				<Name><xsl:value-of select="./Name"/></Name>
				<PostcodeCode><xsl:value-of select="./PostcodeCode"/></PostcodeCode>
				<DefinedContact><xsl:value-of select="./DefinedCITradeContact"/></DefinedContact>
				<PostalAddress>
					<xsl:apply-templates select="PostalCITradeAddress"/>
				</PostalAddress>
			</DefinedContact>
	</xsl:template>
	
	<xsl:template match="PostalCITradeAddress">
			<PostalAddress>
				<LineOne><xsl:value-of select="./LineOne"/></LineOne>
				<LineTwo><xsl:value-of select="./LineTwo"/></LineTwo>
				<PostcodeCode><xsl:value-of select="./PostcodeCode"/></PostcodeCode>
				<CityName><xsl:value-of select="./CityName"/></CityName>
				<CountryID><xsl:value-of select="./CountryID"/></CountryID>
			</PostalAddress>
	</xsl:template>
	
	<xsl:template match="SpecifiedCITradeSettlementPaymentMeans">
			<SpecifiedPaymentMeans>
				<TypeCode><xsl:value-of select="./TypeCode"/></TypeCode>
				<PayeePartyCreditorFinancialAccount><xsl:value-of select="./PayeePartyCICreditorFinancialAccount"/></PayeePartyCreditorFinancialAccount>
				<PayeeSpecifiedCreditorFinancialInstitution><xsl:value-of select="./PayeeSpecifiedCICreditorFinancialInstitution"/></PayeeSpecifiedCreditorFinancialInstitution>
			</SpecifiedPaymentMeans>
	</xsl:template>
	
	<xsl:template match="ApplicableCITradeTax">
			<ApplicableTax>
				<CalculatedAmount><xsl:value-of select="./CalculatedAmount"/></CalculatedAmount>
				<TypeCode><xsl:value-of select="./TypeCode"/></TypeCode>
				<ExemptionReason><xsl:value-of select="./ExemptionReason"/></ExemptionReason>
				<BasisAmount><xsl:value-of select="./BasisAmount"/></BasisAmount>
				<CategoryCode><xsl:value-of select="./CategoryCode"/></CategoryCode>
			</ApplicableTax>
	</xsl:template>
	
	<xsl:template match="BillingCISpecifiedPeriod">
			<BillingSpecifiedPeriod>
				<xsl:call-template name="CISpecifiedPeriodType"/>
			</BillingSpecifiedPeriod>
	</xsl:template>
	
	<xsl:template match="SpecifiedCITradeAllowanceCharge">
			<SpecifiedAllowanceCharge>
				<ChargeIndicator><xsl:value-of select="./ChargeIndicator"/></ChargeIndicator>
				<ActualAmount><xsl:value-of select="./ActualAmount"/></ActualAmount>
				<ReasonCode><xsl:value-of select="./ReasonCode"/></ReasonCode>
				<Reason><xsl:value-of select="./Reason"/></Reason>
				<CategoryCITradeTax><xsl:value-of select="./CategoryCITradeTax"/></CategoryCITradeTax>
			</SpecifiedAllowanceCharge>
	</xsl:template>
	
	<xsl:template match="SpecifiedCITradePaymentTerms">
			<SpecifiedPaymentTerms>
				<Description><xsl:value-of select="./Description"/></Description>
				<DueDateDateTime><xsl:value-of select="./DueDateDateTime"/></DueDateDateTime>
			</SpecifiedPaymentTerms>
	</xsl:template>
	
	<xsl:template match="SpecifiedCIIHTradeSettlementMonetarySummation">
			<SpecifiedMonetarySummation>
				<LineTotalAmount><xsl:value-of select="./LineTotalAmount"/></LineTotalAmount>
				<ChargeTotalAmount><xsl:value-of select="./ChargeTotalAmount"/></ChargeTotalAmount>
				<AllowanceTotalAmount><xsl:value-of select="./AllowanceTotalAmount"/></AllowanceTotalAmount>
				<TaxBasisTotalAmount><xsl:value-of select="./TaxBasisTotalAmount"/></TaxBasisTotalAmount>
				<TaxTotalAmount><xsl:value-of select="./TaxTotalAmount"/></TaxTotalAmount>
				<RoundingAmount><xsl:value-of select="./RoundingAmount"/></RoundingAmount>
				<GrandTotalAmount><xsl:value-of select="./GrandTotalAmount"/></GrandTotalAmount>
				<TotalPrepaidAmount><xsl:value-of select="./TotalPrepaidAmount"/></TotalPrepaidAmount>
			</SpecifiedMonetarySummation>
	</xsl:template>
	
	<xsl:template match="ReceivableSpecifiedCITradeAccountingAccount">
			<ReceivableSpecifiedAccountingAccount>
				<ID><xsl:value-of select="./ID"/></ID>
			</ReceivableSpecifiedAccountingAccount>
	</xsl:template>
	
	<xsl:template match="AssociatedCIILDocumentLineDocument">
			<AssociatedDocumentLineDocument>
				<LineID><xsl:value-of select="./LineID"/></LineID>
				<IncludedNote><xsl:value-of select="./IncludedCINote"/></IncludedNote>
			</AssociatedDocumentLineDocument>
	</xsl:template>
	
	<xsl:template match="SpecifiedCIILSupplyChainTradeAgreement">
			<SpecifiedLineItemTradeAgreement>
				<BuyerOrderReferencedReferencedDocument><xsl:value-of select="./BuyerOrderReferencedCIReferencedDocument"/></BuyerOrderReferencedReferencedDocument>
				<xsl:apply-templates select="GrossPriceProductCITradePrice"/>
				<xsl:apply-templates select="NetPriceProductCITradePrice"/>
			</SpecifiedLineItemTradeAgreement>
	</xsl:template>
	
	<xsl:template match="SpecifiedCIILSupplyChainTradeDelivery">
			<SpecifiedLineItemTradeDelivery>
				<BilledQuantity><xsl:value-of select="./BilledQuantity"/></BilledQuantity>
			</SpecifiedLineItemTradeDelivery>
	</xsl:template>
	
	<xsl:template match="SpecifiedCIILSupplyChainTradeSettlement">
			<SpecifiedLineItemTradeSettlement>
				<xsl:apply-templates select="ApplicableCITradeTax"/>
				<xsl:apply-templates select="SpecifiedCIILTradeSettlementMonetarySummation"/>
			</SpecifiedLineItemTradeSettlement>
	</xsl:template>
	
	<xsl:template match="SpecifiedCITradeProduct">
			<SpecifiedProduct>
				<ID><xsl:value-of select="./ID"/></ID>
				<Name><xsl:value-of select="./Name"/></Name>
			</SpecifiedProduct>
	</xsl:template>
	
	<xsl:template match="GrossPriceProductCITradePrice">
			<GrossPriceProductPrice>
				<ChargeAmount><xsl:value-of select="./ChargeAmount"/></ChargeAmount>
				<xsl:apply-templates select="AppliedCITradeAllowanceCharge"/>
			</GrossPriceProductPrice>
	</xsl:template>
	
	<xsl:template match="NetPriceProductCITradePrice">
			<NetPriceProductPrice>
				<ChargeAmount><xsl:value-of select="./ChargeAmount"/></ChargeAmount>
			</NetPriceProductPrice>
	</xsl:template>
	
	<xsl:template match="AppliedCITradeAllowanceCharge">
			<GrossPriceProductPrice>
				<ActualAmount><xsl:value-of select="./ActualAmount"/></ActualAmount>
				<ReasonCode><xsl:value-of select="./ReasonCode"/></ReasonCode>
				<ChargeIndicator>false</ChargeIndicator>
			</GrossPriceProductPrice>
	</xsl:template>
	
	<xsl:template match="ApplicableCITradeTax">
			<ApplicableTax>
				<TypeCode><xsl:value-of select="./TypeCode"/></TypeCode>
				<CategoryCode><xsl:value-of select="./CategoryCode"/></CategoryCode>
			</ApplicableTax>
	</xsl:template>
	
	<xsl:template match="SpecifiedCIILTradeSettlementMonetarySummation">
			<SpecifiedLineItemMonetarySummation>
				<LineTotalAmount><xsl:value-of select="./LineTotalAmount"/></LineTotalAmount>
			</SpecifiedLineItemMonetarySummation>
	</xsl:template>
	
	<xsl:template name="CISpecifiedPeriodType">
			<DurationMeasure>0</DurationMeasure>
			<StartDateTime><xsl:value-of select="./StartDateTime"/></StartDateTime>
			<EndDateTime><xsl:value-of select="./EndDateTime"/></EndDateTime>
	</xsl:template>
	
</xsl:stylesheet>